# $Revision: 1.19 $, $Date: 2010/07/09 11:23:31 $
%define 	module	TwistedConch
%define		major	8.1
%define		minor	0

Summary:	Twisted SSHv2 implementation
Summary(pl.UTF-8):	Implementacja SSHv2 dla Twisted
Name:		python-%{module}
Version:	%{major}.%{minor}
Release:	3
License:	MIT
Group:		Libraries/Python
Source0:	http://tmrc.mit.edu/mirror/twisted/Conch/%{major}/%{module}-%{version}.tar.bz2
# Source0-md5:	e746618618ba93f707f7725899e141a9
URL:		http://twistedmatrix.com/trac/wiki/TwistedConch
BuildRequires:	ZopeInterface
BuildRequires:	python-TwistedCore >= 2.5.0
BuildRequires:	python-devel >= 1:2.5
Requires:	python-TwistedCore >= 2.5.0
Requires:	python-TwistedCore-ssl >= 2.5.0
Obsoletes:	python-Twisted-conch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Conch is an SSHv2 implementation using the Twisted framework. It
includes a server, client, a SFTP client, and a key generator.

%description -l pl.UTF-8
Conch jest implementacją SSHv2 wykorzystującą Twisted. Zawiera serwer,
klienta, klienta SFTP i generator kluczy.

%package doc
Summary:	Documentation for TwistedConch
Summary(pl.UTF-8):	Dokumentacja do TwistedConch
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description doc
Offline documentation for TwistedConch.

%description doc -l pl.UTF-8
Dokumentacja offline do TwistedConch.

%package examples
Summary:	Example programs for TwistedConch
Summary(pl.UTF-8):	Programy przykładowe do TwistedConch
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains example programs for TwistedConch.

%description examples -l pl.UTF-8
Ten pakiet zawiera przykładowe programy dla TwistedConch.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitedir}/twisted,%{py_sitescriptdir},%{_mandir}/man1,%{_examplesdir}/%{name}-%{version}}

python setup.py install \
	--install-purelib=%{py_sitedir} \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean

install doc/man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
cp -a doc/examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE NEWS README
%attr(755,root,root) %{_bindir}/*
%if "%{py_ver}" > "2.4"
%{py_sitedir}/*.egg-info
%endif
%{py_sitedir}/twisted/conch
%{py_sitedir}/twisted/plugins/*
%{_mandir}/man1/*.1*

%files doc
%defattr(644,root,root,755)
%doc doc/howto

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-TwistedConch.spec,v $
Revision 1.19  2010/07/09 11:23:31  arekm
- release 3

Revision 1.18  2010/07/08 08:42:38  arekm
- release 2

Revision 1.17  2009/04/14 06:14:27  glen
- egg-info cond

Revision 1.16  2008/10/05 06:20:52  wiget
- updated to 8.1.0

Revision 1.15  2008/10/03 18:02:32  arekm
- release 2

Revision 1.14  2008-05-02 18:50:07  luzik
- updated to 8.0.0

Revision 1.13  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.11  2007/01/28 15:18:42  qboosh
- python epoch

Revision 1.10  2007/01/27 23:06:53  arekm
- up to 0.8.0

Revision 1.9  2006/09/02 20:34:47  glen
- cp -a implies cp -r

Revision 1.8  2006/06/07 20:03:46  wiget
- use %%py_postclean

Revision 1.7  2006/06/07 19:33:29  wiget
- redefine purelib location like in TwistedCore

Revision 1.6  2006/06/03 23:32:49  qboosh
- Obsoletes: python-Twisted-conch

Revision 1.5  2006/06/02 16:30:42  wiget
- BR: TwistedCore

Revision 1.4  2006/06/02 15:54:58  wiget
- updated to 0.7.0

Revision 1.3  2005/09/22 20:12:41  qboosh
- doc/examples descs fix

Revision 1.2  2005/09/13 19:01:19  troll
- added symlink in %%{py_sitedir} for successful module lookups

Revision 1.1  2005/09/12 19:14:53  troll
- initial checkin
